Subject: bug#62831: 29.0.90; Emacs-pretest-29.0.90 aarch64 on macOS crashes when receiving a three-finger tap.

From: Sami Lahtinen <[email-masked]>
Date: Sun, 16 Apr 2023 20:07:11 +0300

I think I pinpointed the problem.
I was able to reproduce the bug with a minimal init configuration that only
loads the vterm package.

I'll attach the init file here, hope this helps!

Sami

su 16. huhtik. 2023 klo 17.56 Daniel Martín ([email-masked]) kirjoitti:

> tags 62831 + unreproducible
> quit
>
> Sami Lahtinen <[email-masked]> writes:
>
> > la 15. huhtik. 2023 klo 22.51 Daniel Martín ([email-masked])
> kirjoitti:
> >
> >> Sami Lahtinen <[email-masked]> writes:
> >>
> >> > Unfortunately I am unable to run GDB, as it seems that GDB doesn't
> run on
> >> > aarch64.
> >> >
> >> > I tried to debug using LLDB, but since I have no experience with these
> >> > things I was unable to do so. I can try to find some time to learn the
> >> > process next week, but it might take a while, as I have never done any
> >> > debugging before. Maybe someone with more experience has access to an
> >> Apple
> >> > silicon machine and can replicate the bug?
> >>
> >> If you open Console.app, you should see the Emacs crash there, under
> >> Crash Reports.  Could you upload the report to this bug thread?
> >>
> >> I will attach it to this email.
>
> I have taken a look at the backtrace and it shows that the crash is in
> Apple WebKit when it tries to initialize the JS VM (the dictionary popup
> is apparently implemented using a web viewer).  I've converted the
> backtrace to plain text and attached it to this bug report.
>
> >
> > I can try to pinpont the part of my init.el that is causing this bug, but
> > it will take a day or two.
> >
>
> Yes, that'd be helpful.  If anyone has a detailed recipe to reproduce
> this bug, feel free to comment.  For know, I've tagged the bug as
> unreproducible.
>
>